package com.yuqirong.screenlockview.view;

/**
 * Created by yuqirong on 2016/4/20.
 */
public class Point {

    private float x;
    private float y;
    // 正常模式
    public static final int NORMAL_MODE = 1;
    // 按下模式
    public static final int PRESSED_MODE = 2;
    // 错误模式
    public static final int ERROR_MODE = 3;
    private int state = NORMAL_MODE;
    // 表示该格的密码，比如“1”、“2”等
    private String mark;

    public String getMark() {
        return mark;
    }

    public void setMark(String mark) {
        this.mark = mark;
    }

    public Point(float x, float y, String mark) {
        this.x = x;
        this.y = y;
        this.mark = mark;
    }

    public int getState() {
        return state;
    }

    public void setState(int state) {
        this.state = state;
    }

    public float getX() {
        return x;
    }

    public void setX(float x) {
        this.x = x;
    }

    public float getY() {
        return y;
    }

    public void setY(float y) {
        this.y = y;
    }

}
